Package org.apache.tapestry5.services

# Class BeanBlockContribution

java.lang.Object
org.apache.tapestry5.services.BeanBlockContribution

Direct Known Subclasses:
  `DisplayBlockContribution`, `EditBlockContribution`

public class BeanBlockContribution extends Object
A contribution to the `BeanBlockSource` service, defining a page name and block id (within the page) that can edit or display a particular type of property.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BeanBlockContribution(String dataType, String pageName, String blockId, boolean edit)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getBlockId()`
  The id of the block within the page.
  `final String`
  `getDataType()`
  The type of data for which the indicated block will provide an editor or displayer for.
  `final String`
  `getPageName()`
  The logical name of the page containing the block.
  `final boolean`
  `isEdit()`
  If true, then the block provides an editor for the property, consisting of a `Label` and some field component (or set of field components).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeanBlockContribution

    protected BeanBlockContribution(String dataType, String pageName, String blockId, boolean edit)

- ## Method Details

  - ### getDataType

    public final String getDataType()
    The type of data for which the indicated block will provide an editor or displayer for.

  - ### getBlockId

    public final String getBlockId()
    The id of the block within the page.

  - ### isEdit

    public final boolean isEdit()
    If true, then the block provides an editor for the property, consisting of a `Label` and some field component (or set of field components). If false, the block is used to display the value of the property, usually by applying some kind of formatting to the raw value.

  - ### getPageName

    public final String getPageName()
    The logical name of the page containing the block.